"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.postSlug = postSlug;
exports.postTitle = postTitle;
var _constants = require("./constants");
var _data = require("@wordpress/data");
/**
 * WordPress dependencies
 */

/**
 * Reducer managing the post slug
 *
 * @param {Object} state  Current state.
 * @param {Object} action Dispatched action.
 *
 * @return {Object} Updated state.
 */
function postSlug(state = '', action) {
  switch (action.type) {
    case _constants.SET_POST_SLUG:
      return action.slug;
  }
  return state;
}

/**
 * Reducer managing the post slug
 *
 * @param {Object} state  Current state.
 * @param {Object} action Dispatched action.
 *
 * @return {Object} Updated state.
 */
function postTitle(state = '', action) {
  switch (action.type) {
    case _constants.SET_POST_TITLE:
      return action.title;
  }
  return state;
}
var _default = exports.default = (0, _data.combineReducers)({
  postSlug,
  postTitle
});
//# sourceMappingURL=reducer.js.map